Package org.drinkless.tdlib

# Class TdApi.ChatMember

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatMember

Enclosing class:
  TdApi

public static class TdApi.ChatMember extends TdApi.Object
Describes a user or a chat as a member of another chat.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `inviterUserId`
  Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.
  `int`
  `joinedChatDate`
  Point in time (Unix timestamp) when the user joined/was promoted/was banned in the chat.
  `TdApi.MessageSender`
  `memberId`
  Identifier of the chat member.
  `TdApi.ChatMemberStatus`
  `status`
  Status of the member in the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatMember()`
  Describes a user or a chat as a member of another chat.
  `ChatMember(TdApi.MessageSender memberId, long inviterUserId, int joinedChatDate, TdApi.ChatMemberStatus status)`
  Describes a user or a chat as a member of another chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### memberId

    public TdApi.MessageSender memberId
    Identifier of the chat member. Currently, other chats can be only Left or Banned. Only supergroups and channels can have other chats as Left or Banned members and these chats must be supergroups or channels.

  - ### inviterUserId

    public long inviterUserId
    Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.

  - ### joinedChatDate

    public int joinedChatDate
    Point in time (Unix timestamp) when the user joined/was promoted/was banned in the chat.

  - ### status

    public TdApi.ChatMemberStatus status
    Status of the member in the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatMember

    public ChatMember()
    Describes a user or a chat as a member of another chat.

  - ### ChatMember

    public ChatMember(TdApi.MessageSender memberId, long inviterUserId, int joinedChatDate, TdApi.ChatMemberStatus status)
    Describes a user or a chat as a member of another chat.
    Parameters:
      `memberId` - Identifier of the chat member. Currently, other chats can be only Left or Banned. Only supergroups and channels can have other chats as Left or Banned members and these chats must be supergroups or channels.
      `inviterUserId` - Identifier of a user that invited/promoted/banned this member in the chat; 0 if unknown.
      `joinedChatDate` - Point in time (Unix timestamp) when the user joined/was promoted/was banned in the chat.
      `status` - Status of the member in the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR